=== debian/changelog ===
cigi-ccl (3.3.3a+svn818-8ubuntu3) xenial; urgency=medium

  * No-change rebuild for python3 defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Oct 2015 10:42:06 +0000

cigi-ccl (3.3.3a+svn818-8ubuntu2) wily; urgency=medium

  * Update symbols files for ABI transition.
  * Fix doc link target for new library package name.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Aug 2015 11:23:33 +0000

cigi-ccl (3.3.3a+svn818-8ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Aug 2015 11:00:46 +0000

cigi-ccl (3.3.3a+svn818-8) unstable; urgency=medium

  * Add dependency on the shared libraries to the python build.
    (Closes: #770841).

 -- Klee Dienes <klee@debian.org>  Sun, 14 Dec 2014 21:27:13 -0500

cigi-ccl (3.3.3a+svn818-7) unstable; urgency=medium

  * Mark symbols as optional to support gcc-4.9.
    (Closes: #746280, #745351)

 -- Klee Dienes <klee@mit.edu>  Sat, 31 May 2014 13:46:57 -0400

cigi-ccl (3.3.3a+svn818-6) unstable; urgency=medium

  * Update python support to use distutils. (Closes: #743275, #743276)

 -- Klee Dienes <klee@mit.edu>  Sat, 19 Apr 2014 22:38:08 -0400

cigi-ccl (3.3.3a+svn818-5) unstable; urgency=medium

  * Add lintian override for FSF copyright address.
  * Update symbols files to include i386 and arm. (Closes: #741393)

 -- Klee Dienes <klee@mit.edu>  Wed, 12 Mar 2014 09:04:47 -0400

cigi-ccl (3.3.3a+svn818-4) unstable; urgency=low

  * Update SWIG Python support.

 -- Klee Dienes <klee@mit.edu>  Sat, 15 Feb 2014 17:29:54 -0500

cigi-ccl (3.3.3a+svn818-2) unstable; urgency=low

  * Update debian/copyright.

 -- Klee Dienes <klee@mit.edu>  Sun, 19 Jan 2014 15:15:19 -0500

cigi-ccl (3.3.3a+svn818-1) unstable; urgency=low

  * Add Build-Depends on pkgkde-tools.
  * Do not apply copyright file patch.
  * Remove DEB_BUILD_OPTIONS cruft.
  * Update control with new version, descriptions.
  * Remove leading slash from install file.
  * Remove sonumber from -dev package.
  * Update symbols.
  * Rename section from lib to libs.
  * Update Standards-Version.
  * Update to latest snapshot.
  * Improve version numbering.
  * Update example specification from /usr/bin/ to /usr/bin/*.
  * Update debian/copyright to new FSF address.
  * Add debian/watch to point to SourceForge.

 -- Klee Dienes <klee@mit.edu>  Sun, 12 Jan 2014 00:27:50 -0500

cigi-ccl (3.3.3~a-1) unstable; urgency=low

  * Initial packaging. (Closes: #723033)

 -- Klee Dienes <klee@mit.edu>  Fri, 07 Jun 2013 04:11:52 -0400
