=== debian/control ===
Source: cigi-ccl
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Klee Dienes <klee@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
	       swig, cmake, cmake-data, libtinyxml-dev, pkg-kde-tools,
	       python, python-dev,
	       python3, python3-dev
Standards-Version: 3.9.5
Homepage: http://cigi.sourceforge.net/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: libcigicl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcigicl1v5 (= ${binary:Version}), ${misc:Depends}
Description: development files for the CIGI class library (CCL)
 This package contains development libraries and headers for the CIGI
 class library (CCL).  The primary goal of the Common Image Generator
 Interface (CIGI) standard is to standardise the interface between a
 simulators host computer and the Image Generator.  The CCL is a C++
 language library for implementing CIGI in both host and IG
 applications.
 .
 Some features of the CCL include:
 .
  * Handles packing, unpacking, and byte swapping automatically
  * Handles output buffer management
  * Can handle most of the input buffer management with simple calls
  * Can translate between different versions of CIGI

Package: libcigicl1-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libcigicl1v5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for the CIGI class library (CCL)
 This package contains detached debugging symbols for the CIGI class
 library (CCL).  The primary goal of the Common Image Generator
 Interface (CIGI) standard is to standardise the interface between a
 simulators host computer and the Image Generator.  The CCL is a C++
 language library for implementing CIGI in both host and IG
 applications.
 .
 Some features of the CCL include:
 .
  * Handles packing, unpacking, and byte swapping automatically
  * Handles output buffer management
  * Can handle most of the input buffer management with simple calls
  * Can translate between different versions of CIGI

Package: libcigicl1v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcigicl1
Replaces: libcigicl1
Description: runtime library for the CIGI class library (CCL)
 This package contains the runtime library for the CIGI class library
 (CCL).  The primary goal of the Common Image Generator Interface
 (CIGI) standard is to standardise the interface between a simulators
 host computer and the Image Generator.  The CCL is a C++ language
 library for implementing CIGI in both host and IG applications.
 .
 Some features of the CCL include:
 .
  * Handles packing, unpacking, and byte swapping automatically
  * Handles output buffer management
  * Can handle most of the input buffer management with simple calls
  * Can translate between different versions of CIGI

Package: cigi-ccl-examples
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: compiled examples for the CIGI class library (CCL)
 This package contains compiled examples for the CIGI class library
 (CCL).  The primary goal of the Common Image Generator Interface
 (CIGI) standard is to standardise the interface between a simulators
 host computer and the Image Generator.  The CCL is a C++ language
 library for implementing CIGI in both host and IG applications.
 .
 Some features of the CCL include:
 .
  * Handles packing, unpacking, and byte swapping automatically
  * Handles output buffer management
  * Can handle most of the input buffer management with simple calls
  * Can translate between different versions of CIGI

Package: python-cigi
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Python bindings for the CIGI class library
 This package contains SWIG-generated Python interfaces for the CIGI
 class library (CCL).  The primary goal of the Common Image Generator
 Interface (CIGI) standard is to standardise the interface between a
 simulators host computer and the Image Generator.  The CCL is a C++
 language library for implementing CIGI in both host and IG
 applications.
 .
 Some features of the CCL include:
 .
  * Handles packing, unpacking, and byte swapping automatically
  * Handles output buffer management
  * Can handle most of the input buffer management with simple calls
  * Can translate between different versions of CIGI

Package: python3-cigi
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Python bindings for the CIGI class library
 This package contains SWIG-generated Python interfaces for the CIGI
 class library (CCL).  The primary goal of the Common Image Generator
 Interface (CIGI) standard is to standardise the interface between a
 simulators host computer and the Image Generator.  The CCL is a C++
 language library for implementing CIGI in both host and IG
 applications.
 .
 Some features of the CCL include:
 .
  * Handles packing, unpacking, and byte swapping automatically
  * Handles output buffer management
  * Can handle most of the input buffer management with simple calls
  * Can translate between different versions of CIGI
