=== debian/rules ===
#!/usr/bin/make -f

.PHONY: override_dh_installdocs override_dh_strip override_dh_auto_configure overrid_dh_clean

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

CFLAGS   += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

DH_WITHFLAGS = --with pkgkde_symbolshelper --with python2 --with python3
DH_FLAGS = --parallel --buildsystem=cmake

%:
	dh $@ $(DH_WITHFLAGS) $(DH_FLAGS)

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake

override_dh_strip:
	dh_strip --dbg-package=libcigicl1-dbg

override_dh_installdocs:
	dh_installdocs --link-doc=libcigicl1v5 --exclude=license.html

override_dh_clean:
	dh_clean
	rm -f scripting/__init__.py
	rm -f scripting/cigi.py
	rm -rf scripting/python/cigi.egg-info
	rm -f scripting/swig_wrap.cpp
